tigase.xmpp.impl

## Class MessageCarbons

- java.lang.Object
- - tigase.xmpp.XMPPProcessor
  - - tigase.xmpp.impl.MessageCarbons

- All Implemented Interfaces:
    Comparable<XMPPImplIfc>, XMPPImplIfc, XMPPPacketFilterIfc, XMPPProcessorIfc, XMPPStopListenerIfc

      public class MessageCarbons
      extends XMPPProcessor
      implements XMPPProcessorIfc, XMPPStopListenerIfc, XMPPPacketFilterIfc

  MessageCarbons class implements XEP-0280 Message Carbons protocol extension.
  Author:
    andrzej

- - ### Field Summary

    - ### Fields inherited from class tigase.xmpp.XMPPProcessor

      `ALL_NAMES, ALL_PATHS`

    - ### Fields inherited from interface tigase.xmpp.XMPPImplIfc

      `CLIENT_XMLNS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageCarbons()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `filter(Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results)` Method processes outgoing packets from SessionManager
    `String` | `id()` Returns plugins unique identifier
    `void` | `process(Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results, Map<String,Object> settings)`
    `void` | `stopped(XMPPResourceConnection session, Queue<Packet> results, Map<String,Object> settings)` If session is stopped then disable carbon copy for this session
    `tigase.xml.Element[]` | `supDiscoFeatures(XMPPResourceConnection session)` Return array of element containing supported disco features
    `String[][]` | `supElementNamePaths()` Returns array of split path of supported elements
    `String[]` | `supNamespaces()` Returns array of supported namespaces

    - ### Methods inherited from class tigase.xmpp.XMPPProcessor

      `canHandle, compareTo, concurrentQueuesNo, concurrentThreadsPerQueue, getInstance, getStatistics, init, isSupporting, supElements, supStreamFeatures, supTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.xmpp.XMPPImplIfc

      `canHandle, concurrentQueuesNo, concurrentThreadsPerQueue, getStatistics, init, isSupporting, supElements, supStreamFeatures, supTypes`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Constructor Detail

    - #### MessageCarbons

          public MessageCarbons()

  - ### Method Detail

    - #### id

          public String id()

      Returns plugins unique identifier
      Specified by:
        `id` in interface `XMPPImplIfc`
      Returns:

    - #### process

          public void process(Packet packet,
                     XMPPResourceConnection session,
                     NonAuthUserRepository repo,
                     Queue<Packet> results,
                     Map<String,Object> settings)
                       throws XMPPException

      Specified by:
        `process` in interface `XMPPProcessorIfc`
      Throws:
        `XMPPException`

    - #### supDiscoFeatures

          public tigase.xml.Element[] supDiscoFeatures(XMPPResourceConnection session)

      Return array of element containing supported disco features
      Specified by:
        `supDiscoFeatures` in interface `XMPPImplIfc`
      Overrides:
        `supDiscoFeatures` in class `XMPPProcessor`
      Parameters:
        `session` -
      Returns:

    - #### supElementNamePaths

          public String[][] supElementNamePaths()

      Returns array of split path of supported elements
      Specified by:
        `supElementNamePaths` in interface `XMPPImplIfc`
      Overrides:
        `supElementNamePaths` in class `XMPPProcessor`
      Returns:

    - #### supNamespaces

          public String[] supNamespaces()

      Returns array of supported namespaces
      Specified by:
        `supNamespaces` in interface `XMPPImplIfc`
      Overrides:
        `supNamespaces` in class `XMPPProcessor`
      Returns:

    - #### stopped

          public void stopped(XMPPResourceConnection session,
                     Queue<Packet> results,
                     Map<String,Object> settings)

      If session is stopped then disable carbon copy for this session
      Specified by:
        `stopped` in interface `XMPPStopListenerIfc`
      Parameters:
        `session` -
        `results` -
        `settings` -

    - #### filter

          public void filter(Packet packet,
                    XMPPResourceConnection session,
                    NonAuthUserRepository repo,
                    Queue<Packet> results)

      Method processes outgoing packets from SessionManager
      Specified by:
        `filter` in interface `XMPPPacketFilterIfc`
      Parameters:
        `packet` -
        `session` -
        `repo` -
        `results` -

Copyright © 2013 Tigase. All rights reserved.